package request


type AlibabaWdkMerchantCategoryQueryRequest struct {
    /*
        搜索关键词，可不填就查全部     */
    Keyword  *string `json:"keyword,omitempty" required:"false" `
    /*
        类目起点，可不填从根目录开始查     */
    RootCategoryCode  *string `json:"root_category_code,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantCategoryQueryRequest) SetKeyword(v string) *AlibabaWdkMerchantCategoryQueryRequest {
    s.Keyword = &v
    return s
}
func (s *AlibabaWdkMerchantCategoryQueryRequest) SetRootCategoryCode(v string) *AlibabaWdkMerchantCategoryQueryRequest {
    s.RootCategoryCode = &v
    return s
}

func (req *AlibabaWdkMerchantCategoryQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Keyword != nil) {
        paramMap["keyword"] = *req.Keyword
    }
    if(req.RootCategoryCode != nil) {
        paramMap["root_category_code"] = *req.RootCategoryCode
    }
    return paramMap
}

func (req *AlibabaWdkMerchantCategoryQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}